'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _cliWrapper = require('../cli-wrapper');

var _cliWrapper2 = _interopRequireDefault(_cliWrapper);

exports['default'] = FFmpeg;

function FFmpeg(bin) {
  if (!(this instanceof FFmpeg)) {
    return new FFmpeg(bin);
  }
  this._command = (0, _cliWrapper2['default'])(bin);
}

FFmpeg.prototype = {
  getStream: function getStream(file) {
    var _command;

    var start = arguments.length <= 1 || arguments[1] === undefined ? 0 : arguments[1];

    start = formatTime(start);
    var args = ['-ss', start, '-i', file, '-c:v', 'libx264', '-f', 'mp4', '-movflags', 'frag_keyframe+empty_moov', '-'];
    return (_command = this._command).scall.apply(_command, args);
  }
};

function formatTime(seconds) {
  var secs = seconds % 60;
  var mins = Math.floor(seconds % 3600 / 60);
  var hours = Math.floor(seconds / 3600);
  var parts = [padTime(hours), padTime(mins), padTime(secs)];
  return parts.join(':');
}

function padTime(num) {
  num = String(num);
  return num.length === 1 ? '0' + num : num;
}
module.exports = exports['default'];
