'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _cliWrapper = require('../cli-wrapper');

var _cliWrapper2 = _interopRequireDefault(_cliWrapper);

exports['default'] = FFprobe;

function FFprobe(bin) {
  if (!(this instanceof FFprobe)) {
    return new FFprobe(bin);
  }
  this._command = (0, _cliWrapper2['default'])(bin);
}

FFprobe.prototype = {
  getInfo: function getInfo(file) {
    return this._command.call('-i', file, '-show_format').then(function (output) {
      return {
        format_name: extract(output, 'format_name'),
        duration: Number(extract(output, 'duration')),
        size: Number(extract(output, 'size'))
      };
    });
  }
};

function extract(text, field) {
  var re = new RegExp('^' + field + '=(.*)$', 'm');
  var match = text.match(re);
  return match && match[1];
}
module.exports = exports['default'];
