'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _options = require('./options');

var _options2 = _interopRequireDefault(_options);

var _commandsFfmpeg = require('./commands/ffmpeg');

var _commandsFfmpeg2 = _interopRequireDefault(_commandsFfmpeg);

var _commandsFfprobe = require('./commands/ffprobe');

var _commandsFfprobe2 = _interopRequireDefault(_commandsFfprobe);

exports['default'] = Streamer;

function Streamer() {
  var opts = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];

  if (!(this instanceof Streamer)) {
    return new Streamer(opts);
  }
  this.options = (0, _options2['default'])(opts);
  this._ffmpeg = new _commandsFfmpeg2['default'](this.options.ffmpeg);
  this._ffprobe = new _commandsFfprobe2['default'](this.options.ffprobe);
}

Streamer.prototype = {
  getInfo: function getInfo(file) {
    return this._ffprobe.getInfo(file);
  },

  getStream: function getStream(file) {
    var start = arguments.length <= 1 || arguments[1] === undefined ? 0 : arguments[1];

    return this._ffmpeg.getStream(file, start);
  }
};
module.exports = exports['default'];
